Skip to main content
GET
get a post by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

postId
string
required
Maximum string length: 900

Query Parameters

postType
enum<string>
default:post

Whether postId refers to a post or a story.

Available options:
post,
story
ignoreBlockList
boolean
default:false

Admin only. Returns content from blocked users. On GET /api/v3/posts/{postId} a non-admin caller gets 403; on GET /api/v3/posts/list it is ignored for non-admin callers.

includeModerationDetails
boolean
default:false

Admin only. Includes moderation details (flags, review and hide records) in the response. Non-admin callers get 403.

Response

Post Information

posts
object[]
postChildren
object[]
comments
object[]
users
object[]
files
object[]
communities
object[]
communityUsers
object[]
categories
object[]
feeds
object[]
videoStreamings
object[]
videoStreamingChildren
object[]
rooms
object[]
roomChildrens
object[]
polls
object[]
events
object[]
products
object[]